#
# process #include directores in .shtml files
# in fashion of Apache's SSI includes
#
# the tags: <!-- #include virtual="*" --> are replaced by content of a file
#

SUFFIXES: .shtml .html

TARGETS= munipack.html features.html download.html docs.html notfound.html \
         basic.html external.html classics.html colourspace.html \
         colourfits.html itone.html guide.html faq.html vobs.html history.html \
         modules.html credits.html pererr.html lctut.html kombitut.html \
         phcorrtut.html colourimage.html colorcal.html colcal.html cmd.html \
         chart.html \
         man_intro.html man_help.html man_colouring.html \
         man_bias.html man_dark.html man_flat.html man_phcorr.html \
         man_cone.html man_astrometry.html man_phcal.html man_aphot.html \
         man_gphot.html \
         man_list.html man_fits.html man_votable.html man_com.html  \
         man_env.html man_kombine.html man_timeseries.html man_setup.html \
         man_backup.html man_i18n.html \
         dataform_tmseries.html dataform_photometry.html \
         dataform_astrometry.html dataform_artgalaxy.html dataform_artpsf.html \
         dataform_photosys.html dataform_phfotran.html dataform_proc.html \
         dataform_biasdark.html dataform_flat.html mosaics.html \
         phcalibration.html phoverview.html astoverview.html deka154.html \
         man_find.html man_phfotran.html man_cross.html \
         fwhm.html changes.html debbuilder.html debbundle.html rpmbuilder.html \
         rpmbundle.html install.html version.html SourceInstallation.html \
         grow.html dataform_growrep.html man_artificial.html artific.html \
         shcripts.html flatfielding.html man_sesame.html

PADDING = munipack.css favicon.ico henden_m67.sh m67.sh m27.sh \
          robots.txt 0716+71.lst timeserie_cat.lst lctut.sh ucac_jmuc.py \
          artificial.sh kombitut.sh mosaic.sh Kepler-21b.lst fourier.lst \
          artgalaxy.lst artpsf.lst artpsf.f08

include image_list.mk

dist_html_DATA = $(TARGETS) $(image_list) $(PADDING)

.shtml.html:
	$(AWK) -f include.awk $< > $@

#install-exec-hook:
#	cd $(docdir) && $(LN_S) munipack.html index.html
# We got a problem when the link already exists.

CLEANFILES = *.html
